# Add a contact to a client (a name or an email address is needed

`POST /org/{orgId}/clients/{id}/contacts` · Rivier · workspace

Add a contact to a client (a name or an email address is needed; one can be primary, several can be copied by default).

- Scope: workspace:write
- Mcp: rivier_clients_contact_add
- Graphql: Mutation.workspaceOrgContactAdd
- Sdk: workspace.orgContact.add
- Cli: clients contacts add

## Parameters

- `orgId` (path, required), string
- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "maxLength": 200,
      "default": ""
    },
    "email": {
      "anyOf": [
        {
          "type": "string",
          "format": "email",
          "maxLength": 254
        },
        {
          "type": "string",
          "const": ""
        }
      ],
      "default": ""
    },
    "phone": {
      "type": "string",
      "maxLength": 60,
      "default": ""
    },
    "role": {
      "type": "string",
      "maxLength": 80,
      "default": ""
    },
    "isPrimary": {
      "type": "boolean",
      "default": false
    },
    "ccDefault": {
      "type": "boolean",
      "default": false
    }
  },
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/org/{orgId}/clients/{id}/contacts' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "",
  "email": "",
  "phone": "",
  "role": "",
  "isPrimary": false,
  "ccDefault": false
}'
```
